# Class FetchBallAbAttr

Grabs the last failed Pokeball used

#### See

`applyPostTurn`

#### Hierarchy (view full)

- PostTurnAbAttr
  - FetchBallAbAttr

- Defined in src/data/ability.ts:2712

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostTurn
getCondition
getTriggerMessage

## Constructors

### constructor

- new FetchBallAbAttr(): FetchBallAbAttr

- #### Returns FetchBallAbAttr

  Overrides PostTurnAbAttr.constructor

  - Defined in src/data/ability.ts:2713

## Properties

### showAbility

showAbility: boolean

Inherited from PostTurnAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostTurnAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostTurnAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostTurn

- applyPostTurn(pokemon, passive, args): boolean

- Adds the last used Pokeball back into the player's inventory

  #### Parameters

  - pokemon: default

    `Pokemon` with this ability

  - passive: boolean

    N/A

  - args: any[]

    N/A

  #### Returns boolean

  true if player has used a pokeball and this pokemon is owned by the player

  Overrides PostTurnAbAttr.applyPostTurn

  - Defined in src/data/ability.ts:2723

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostTurnAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostTurnAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137